#ifndef RF433_H
#define RF433_H

#include<util/delay.h>
#include"writepin.h"

#define LARGE_TIME  750
#define SMALL_TIME  250

class WirelessRelay
{
private:
     bool _state = false;
     uint16_t _id;
     void sendBit( const bool i);
     void sync();
     void sendId();
     
public:
    WirelessRelay(const uint16_t id);
    WirelessRelay();
    void setTimeout(uint64_t timeout);
    void init(const uint16_t id);
    void on(); 
    void off();
    uint16_t getId();
    bool getExpectedState();
};
#endif
